relativeBasePathForIcons = '../../../styles/clean/'
dFrameFilePathBasePathForIcons = 'styles/clean/'
basePathForCommonIcons = 'images/common/'
bgColor ='#EFEBEF'
DFrameAPI.preLoadImagesForButtonImage('arrows', basePathForCommonIcons,'menuArrow-Close.gif', '', 'menuArrow-Open.gif', '')
//===============================================================================
//									buttonStyle									|
//===============================================================================
buttonStyle = new ButtonStyle ()
buttonStyle.setFontFamily ( 'Verdana,MS Sans Serif, Geneva, sans-serif')
buttonStyle.setFontSize (2)
buttonStyle.setBordersWidth(0)
buttonStyle.setLabelHAlign('LEFT')
buttonStyle.setLabelLeftMargin(20)
buttonStyle.setLabelRightMargin(10)
buttonStyle.setImageHMargin(3)
//buttonStyle.setImageVAlign('Center')

buttonStyle.setBgNormal (bgColor)
buttonStyle.setImageNormal(relativeBasePathForIcons+'spotOff.gif', 'A')

buttonStyle.copyStyle('Normal', 'Roll')
buttonStyle.setImageRoll(dFrameFilePathBasePathForIcons+'spotOn.gif')

buttonStyle.copyStyle('Normal', 'Down')

buttonStyle.copyStyle('Normal', 'Selected')

buttonStyle.copyStyle('Roll', 'RollSelected')
buttonStyle.setImageRollSelected(relativeBasePathForIcons+'spotOn.gif', 'A')
//===============================================================================
//									menuStyle									|
//===============================================================================
menuStyle = new MenuStyle ()
menuStyle.setBordersWidth(1)
menuStyle.setBordersColor('#CCCCCD')
menuStyle.setBackgroundColor(bgColor)
menuStyle.setArrowImage('arrows')
//-------------------------------------------------------
//							default Button Style		|
//-------------------------------------------------------
var x = new ButtonStyle(buttonStyle)
x.setActivateOn('OVER')
menuStyle.setDefaultButtonStyle(x)
//-------------------------------------------------------
//									items Style			|
//-------------------------------------------------------
var x = new ButtonStyle(buttonStyle)
menuStyle.setItemsStyle(x)
//===============================================================================
//									bar Style									|
//===============================================================================
barStyle = new BarStyle ()
barStyle.setBackgroundColor(bgColor)
barStyle.setBordersColor('#c0c0c0')
//-------------------------------------------------------
//							default Button/Menu Styles	|
//-------------------------------------------------------
barStyle.setDefaultButtonStyle(buttonStyle)
barStyle.setDefaultMenuStyle(menuStyle)
//===============================================================================
//									dFrameStyle									|
//===============================================================================
dFrameStyle = new DFrameStyle ()
dFrameStyle.setBackgroundColor(bgColor)
dFrameStyle.setContentBgColor(bgColor)
dFrameStyle.setBordersWidth(1)
dFrameStyle.setPos([0,0,100,70])

dFrameStyle.setImageBorderT(relativeBasePathForIcons+'border-top.gif', 'A')
dFrameStyle.setImageBorderR(relativeBasePathForIcons+'border-right.gif', 'A')
dFrameStyle.setImageBorderB(relativeBasePathForIcons+'border-bottom.gif', 'A')
dFrameStyle.setImageBorderL(relativeBasePathForIcons+'border-left.gif', 'A')
//-------------------------------------------------------
//							default Bar Style			|
//-------------------------------------------------------
dFrameStyle.setDefaultBarStyle(barStyle)
//-------------------------------------------------------
//							defaultTask Bar Style		|
//-------------------------------------------------------
x = new ButtonStyle(buttonStyle)
x.setImageSelected(relativeBasePathForIcons+'spotOn.gif', 'A')
y = new BarStyle(barStyle)
y.setDefaultButtonStyle(x)
dFrameStyle.setDefaultTaskBarStyle(y)
//-------------------------------------------------------
//							default Context Menu Style	!
//-------------------------------------------------------
var x = new MenuStyle(menuStyle)
dFrameStyle.setDefaultContextMenuStyle(x)
